Bug 108979 - splittree.py doesn't need the comps size=10MB
splittree.py doesn't need the comps size=10MB
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-03 19:09 EST by Forrest
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-03 20:09:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Compensate 0MB for comps file instead of 10MB (559 bytes, patch)
2003-11-03 19:12 EST, Forrest
no flags Details | Diff

  None (edit)
Description Forrest 2003-11-03 19:09:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Running splittree.py makes the disc1 directory 10 MB smaller than
needed.  This is from the self.comps_size = 10.0 * 1024 * 1024 line. 
The comps file is already there as witnessed by looking at the past
several releases where disc1 is at least 10MB smaller than disc2.

There is already 10MB leeway because you are trying to create discs
<640MB, so this isn't really needed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Run splittree.py
2.  It shows the size of disc1 to be 10MB less than disc2
Comment 1 Forrest 2003-11-03 19:12:47 EST
Created attachment 95697 [details]
Compensate 0MB for comps file instead of 10MB
Comment 2 Jeremy Katz 2003-11-03 20:09:25 EST
Unfortunately, 640 is done instead of 650 because of some CD drives
being, to be blunt, crap.  RHN got a number of bug reports when the
size of the ISOs was over 645 megs or so and so I bumped it down to
something a little less.
Comment 3 Forrest 2003-11-05 16:20:31 EST
Ahh...  I wondered why it was 640MB.  What about disc2--it is usually
over 645MB?  Is it just a problem booting from disc 1?
Comment 4 Jeremy Katz 2003-11-05 16:31:02 EST
It was actually reading the CDs, not booting from them.  Unfortunately :(
Comment 5 Forrest 2003-11-05 16:46:14 EST
Hmm...that is bad.  Did you get any complaints about Red Hat Linux 9
Disc 2--it was 646.125MB?
Comment 6 Forrest 2003-11-05 16:50:25 EST
Also, why not change self.target_size to 640?

Note You need to log in before you can comment on or make changes to this bug.